## com.google.appengine.api.blobstore.dev
Class LocalBlobstoreService

    java.lang.Object
      AbstractLocalRpcService
          com.google.appengine.api.blobstore.dev.LocalBlobstoreService

    @ServiceProvider(value=<error>)
    public final class LocalBlobstoreService

extends AbstractLocalRpcService

Implementation of local blobstore service.

Field Summary
`static java.lang.String` `BACKING_STORE_PROPERTY` Where to read/store the blobs from/to.
`static java.lang.String` `NO_STORAGE_PROPERTY` True to put the blobstore into "memory-only" mode.
`static java.lang.String` `PACKAGE` The package name for this service.

Constructor Summary
`LocalBlobstoreService()`

Method Summary
`CreateUploadURLResponse` `createUploadURL(Status status, CreateUploadURLRequest request)`
`VoidProto` `deleteBlob(Status status, DeleteBlobRequest request)`
`FetchDataResponse` `fetchData(Status status, FetchDataRequest request)`
`java.lang.String` `getPackage()`
`void` `init(LocalServiceContext context, java.util.Map<java.lang.String,java.lang.String> properties)`
`void` `start()`
`void` `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BACKING_STORE_PROPERTY

    public static final java.lang.String BACKING_STORE_PROPERTY

  Where to read/store the blobs from/to.

  See Also:
    Constant Field Values

### NO_STORAGE_PROPERTY

    public static final java.lang.String NO_STORAGE_PROPERTY

  True to put the blobstore into "memory-only" mode.

  See Also:
    Constant Field Values

### PACKAGE

    public static final java.lang.String PACKAGE

  The package name for this service.

  See Also:
    Constant Field Values

Constructor Detail

### LocalBlobstoreService

    public LocalBlobstoreService()

Method Detail

### getPackage

    public java.lang.String getPackage()

### init

    public void init(LocalServiceContext context,
                     java.util.Map<java.lang.String,java.lang.String> properties)

### start

    public void start()

### stop

    public void stop()

### createUploadURL

    public CreateUploadURLResponse createUploadURL(Status status,
                                                   CreateUploadURLRequest request)

### deleteBlob

    public VoidProto deleteBlob(Status status,
                                DeleteBlobRequest request)

### fetchData

    public FetchDataResponse fetchData(Status status,
                                       FetchDataRequest request)